export interface Project {
  id: string;
  title: string;
  description: string;
  sourceUrl: string;
}

export interface Skill {
  category: string;
  items: string[];
}

export interface SocialLink {
  name: string;
  url: string;
  icon?: string;
}

export interface Experience {
  company: string;
  location: string;
  positions: {
    title: string;
    date: string;
    bullets?: string[];
  }[];
}
