import { SkillGrid } from '@/components/Skills/SkillGrid';
import { skills } from '@/data/skills';

export function SkillsSection() {
    return (
        <section className="resume-section">
            <div style={{ display: 'flex', gap: '0.2rem', alignItems: 'center' }}>
                <h2 style={{ textDecoration: 'line-through', margin: 0 }}>Keywords</h2>
                <h2 style={{ margin: 0 }}>Skills</h2>
            </div>
            <SkillGrid skills={skills} showHeadings={true} />
        </section>
    );
}